@Echo off
cls
rem
rem
rem ver=9.0 by Martin Armsby
rem
rem
rem Safty check
if "%1"=="?" goto helpme
if "%1"=="/?" goto helpme
IF %OS%==Windows_NT if not exist choice.com goto error
if not exist sam*.exe if not exist seq*.exe if not exist MXCDR_E.exe if not exist MXCDR_G.exe if  not exist DLLDRV32.dll goto helpme
rem start
echo.
echo.
echo.
echo.                                  DLL Manager v9.0
echo.
echo.               This Batch helps organize the PointCD Burner DLLs provided 
echo.                        by Magix and may help sorting out problems due to 
echo.                        different versions. Its able to do four things :
echo.
echo.                        
echo.               1.       Make a Backup of your System(32) DLLs
echo.
echo.               2.       Remove PointCD DLLs from the system(32) directory.
echo.                        A backup copy is made on "C:".
echo.                        
echo.               3.       Replace the backup made in " 2."
echo.                        
echo.               4.       Move the DLLs from the Samplitude or MXCDR directory
echo.                        to a backup directory.
echo.
echo.               5.       Exit - nothing is changed.
echo.
echo.               It works on the English and German versions
echo.
echo    Enter a number 1 - 5
echo.
choice /c12345 /n
if errorlevel 6 goto exit
if errorlevel 5 goto exit
if errorlevel 4 goto root
if errorlevel 3 goto replace
if errorlevel 2 goto sys
if errorlevel 1 goto copy

:copy
:sys
if errorlevel 2 set cutter=move
if errorlevel 2 set TheWord=moved
if errorlevel 1 set cutter=xcopy
if errorlevel 1 set TheWord=copied
IF %OS%==Windows_NT Goto WinNT

:Win9x
cls
Echo.
Echo.
Echo.
Echo.
Echo.
Echo.                        Found Win9x/Me
Echo.
Echo.
Echo.           The DLLs will be %TheWord% to "C:\Backsysdll"
Echo.
Echo.
Echo.
Echo.
pause
if not exist C:\Backsysdll\nul md C:\Backsysdll

%cutter% %winbootdir%\system\DLLAV32.dll  C:\Backsysdll\
%cutter% %winbootdir%\system\DLLCDA32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLCDF32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLCPY32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLDEV32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLDIR32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLDRV32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLIMG32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLIO32.dll  C:\Backsysdll\
%cutter% %winbootdir%\system\DLLISO32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLIX.dll    C:\Backsysdll\
%cutter% %winbootdir%\system\DLLMSC32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLPNT32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLPRF32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLPRJ32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLPTL32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLRD32.dll  C:\Backsysdll\
%cutter% %winbootdir%\system\DLLRES32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\DLLTPO32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\STRING32.dll C:\Backsysdll\
%cutter% %winbootdir%\system\TTI32.dll    C:\Backsysdll\
%cutter% %winbootdir%\system\TTIC32.dll   C:\Backsysdll\

goto end


:WinNT
cls
Echo.
Echo.
Echo.
Echo.
Echo.
Echo.                        Found Win NT
Echo.
Echo.
Echo.
Echo.           The DLLs will be %TheWord% to "C:\Backsysdll"
Echo.
Echo.
Echo.
Echo.
pause
if not exist C:\Backsysdll\nul md C:\Backsysdll
%cutter% %systemroot%\system32\DLLAV32.dll  C:\Backsysdll\
%cutter% %systemroot%\system32\DLLCDA32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLCDF32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLCPY32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLDEV32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLDIR32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLDRV32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLIMG32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLIO32.dll  C:\Backsysdll\
%cutter% %systemroot%\system32\DLLISO32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLIX.dll    C:\Backsysdll\
%cutter% %systemroot%\system32\DLLMSC32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLPNT32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLPRF32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLPRJ32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLPTL32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLRD32.dll  C:\Backsysdll\
%cutter% %systemroot%\system32\DLLRES32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\DLLTPO32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\STRING32.dll C:\Backsysdll\
%cutter% %systemroot%\system32\TTI32.dll    C:\Backsysdll\
%cutter% %systemroot%\system32\TTIC32.dll   C:\Backsysdll\
goto end

:replace
cls
IF %OS%==Windows_NT Goto NT
copy C:\Backsysdll\*.dll %winbootdir%\system
echo.
echo.
echo.
if not exist C:\Backsysdll\nul echo. There is no such backup to replace!
echo.
echo.
echo.
pause
goto end

:NT
copy C:\Backsysdll\*.dll %systemroot%\system32
echo.
echo.
echo.
if not exist C:\Backsysdll\nul echo. There is no such backup to replace!
echo.
echo.
echo.
pause
goto end


:root
if not exist sam2496.exe if not exist sam6_*.exe if not exist sam7_*.exe if not exist sam8_*.exe if not exist sam9_*.exe if not exist sam10_*.exe goto MXCDR
cls
echo.
echo.
Echo.           The DLLs will be moved to "C:\SamDirDll"
Echo.
Echo.
Echo.
Echo.
pause
if not exist C:\SamDirDll\nul md C:\SamDirDll
move DLLAV32.dll  C:\SamDirDll\
move DLLCDA32.dll C:\SamDirDll\
move DLLCDF32.dll C:\SamDirDll\
move DLLCPY32.dll C:\SamDirDll\
move DLLDEV32.dll C:\SamDirDll\
move DLLDIR32.dll C:\SamDirDll\
move DLLDRV32.dll C:\SamDirDll\
move DLLIMG32.dll C:\SamDirDll\
move DLLIO32.dll  C:\SamDirDll\
move DLLISO32.dll C:\SamDirDll\
move DLLIX.dll    C:\SamDirDll\
move DLLMSC32.dll C:\SamDirDll\
move DLLPNT32.dll C:\SamDirDll\
move DLLPRF32.dll C:\SamDirDll\
move DLLPRJ32.dll C:\SamDirDll\
move DLLPTL32.dll C:\SamDirDll\
move DLLRD32.dll  C:\SamDirDll\
move DLLRES32.dll C:\SamDirDll\
move DLLTPO32.dll C:\SamDirDll\
move STRING32.dll C:\SamDirDll\
move TTI32.dll    C:\SamDirDll\
move TTIC32.dll   C:\SamDirDll\
goto end

:MXCDR
cls
echo.
echo.
Echo.           The DLLs will be moved to "C:\MxcdrDll"
Echo.
Echo.
Echo.
Echo.
pause
if not exist C:\MxcdrDLL\nul md C:\MxcdrDLL
move DLLAV32.dll  C:\MxcdrDLL\
move DLLCDA32.dll C:\MxcdrDLL\
move DLLCDF32.dll C:\MxcdrDLL\
move DLLCPY32.dll C:\MxcdrDLL\
move DLLDEV32.dll C:\MxcdrDLL\
move DLLDIR32.dll C:\MxcdrDLL\
move DLLDRV32.dll C:\MxcdrDLL\
move DLLIMG32.dll C:\MxcdrDLL\
move DLLIO32.dll  C:\MxcdrDLL\
move DLLISO32.dll C:\MxcdrDLL\
move DLLIX.dll    C:\MxcdrDLL\
move DLLMSC32.dll C:\MxcdrDLL\
move DLLPNT32.dll C:\MxcdrDLL\
move DLLPRF32.dll C:\MxcdrDLL\
move DLLPRJ32.dll C:\MxcdrDLL\
move DLLPTL32.dll C:\MxcdrDLL\
move DLLRD32.dll  C:\MxcdrDLL\
move DLLRES32.dll C:\MxcdrDLL\
move DLLTPO32.dll C:\MxcdrDLL\
move STRING32.dll C:\MxcdrDLL\
move TTI32.dll    C:\MxcdrDLL\
move TTIC32.dll   C:\MxcdrDLL\
goto end


:error
cls
echo.
echo.
echo.
echo.
echo.    This batch file will only work correctly when it is started
echo.    from the Samplitude, MXCDR, VideoDeLuxe or System(32) directory.
echo.           
if not exist choice.com echo.    ERROR: Win 2000 and XP need the file Choice.com to be placed in                        the same directory as Dll_Manager.bat
echo.
echo.
echo.
echo.
pause

:helpme
cls
echo.
echo.
echo.
echo.
echo.
echo.    Dll Manager does not delete anything!
echo.    Its made to manage PointCD Dlls, allowing you to copy or backup
echo.    different versions.
echo.    Dll Manager needs to be run from an application directory
echo.    such as Samplitude7, 8, 9 VDL etc. 
echo.    It can also remove or backup the DLLs from the system or system32
echo.    directory.
echo.    If you are running NT (2000 or XP) you need the file Choice.com in the
echo.    same directory as Dll_Manager.bat
echo.
echo.
echo.
echo.
echo.
echo. Any key to close ....
pause >nul
goto exit

:end
echo.
echo.
echo.
echo. All done.
echo.
echo. Any key to close ....
set cutter=
pause >nul
:exit
exit
